petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSComputeForcingFunction

Evaluates the forcing function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeForcingFunction(TS ts,PetscReal t,Vec U)

Collective on TS and Vec

### Input Parameters

| ts | - the TS context
| t | - current time

### Output Parameter

U -the function value

### Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

### Keywords

TS, compute

### See Also

TSSetSolutionFunction(), TSSetRHSFunction(), TSComputeIFunction()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages